#ifndef MSP_GRAPHICS_BMPLOADER_H_
#define MSP_GRAPHICS_BMPLOADER_H_

#include <msp/graphics/imageloader.h>

namespace Msp {
namespace Graphics {

class BmpLoader: public ImageLoader
{
private:
	IO::Base &io;
	unsigned sig_bytes;
	bool invert_row_order;

public:
	BmpLoader(IO::Base &, unsigned = 0);

	static unsigned get_signature_size() { return 2; }
	static bool detect(const std::string &);

	virtual void load_headers_(Image::Data &);
	virtual void load_pixels_(Image::Data &);
};

} // namespace Graphics
} // namespace Msp

#endif
